package com.ruoyi.post.service.impl;


import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.post.domain.PostNews;
import com.ruoyi.post.mapper.PostNewsMapper;
import com.ruoyi.post.service.IPostNewsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author HuiANan
 * @Date 2023/1/17 20:48
 * @Exegesis:
 */
@Service
public class PostNewsServiceImpl implements IPostNewsService
{
    @Resource
    private PostNewsMapper postNewsMapper;

    /**
     * 查询通知消息管理;
     *
     * @param newsId 通知消息管理;
     * @return 通知消息管理;
     */
    @Override
    public PostNews selectPostNewsByNewsId(Integer newsId)
    {
        return postNewsMapper.selectPostNewsByNewsId(newsId);
    }

    /**
     * 查询通知消息管理;
     *
     * @param postNews 通知消息管理;
     * @return 通知消息管理;
     */
    @Override
    public List<PostNews> selectPostNewsList(PostNews postNews)
    {
        return postNewsMapper.selectPostNewsList(postNews);
    }

    /**
     * 新增通知消息管理;
     *
     * @param postNews 通知消息管理;
     * @return 结果
     */
    @Override
    public int insertPostNews(PostNews postNews)
    {
        postNews.setCreateTime(DateUtils.getNowDate());
        return postNewsMapper.insertPostNews(postNews);
    }

    /**
     * 修改通知消息管理;
     *
     * @param postNews 通知消息管理;
     * @return 结果
     */
    @Override
    public int updatePostNews(PostNews postNews)
    {
        postNews.setUpdateTime(DateUtils.getNowDate());
        return postNewsMapper.updatePostNews(postNews);
    }

    /**
     * 批量删除通知消息管理;
     *
     * @param newsIds 需要删除的通知消息管理;
     * @return 结果
     */
    @Override
    public int deletePostNewsByNewsIds(Integer[] newsIds)
    {
        return postNewsMapper.deletePostNewsByNewsIds(newsIds);
    }

    /**
     * 删除通知消息管理;
     *
     * @param newsId 通知消息管理;
     * @return 结果
     */
    @Override
    public int deletePostNewsByNewsId(Integer newsId)
    {
        return postNewsMapper.deletePostNewsByNewsId(newsId);
    }
}